////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System;
using Vela.Controls;

namespace Vela.ImBackend
{
	/// <summary>
	/// An attribute which may be applied on classes to indicate that they can be registered as function views.
	/// </summary>
	[AttributeUsage( AttributeTargets.Class, AllowMultiple = false )]
	public class FunctionViewRegistrationAttribute : ViewRegistrationAttribute
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected FunctionViewRegistrationAttribute()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		/// <param name="sortKey">The sorting key.</param>
		public FunctionViewRegistrationAttribute( string sortKey )
			: base( sortKey )
		{
		}

		#endregion Constructors
	}
}
