////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.CoreDocuments;

namespace Vela.ImBackend
{
	/// <summary>
	/// Delegate for an event raised when an identity generation has started.
	/// </summary>
	public delegate void IdentityGeneratorStartedDelegate();

	/// <summary>
	/// Delegate for an event raised when progress occurs during an identity generation.
	/// </summary>
	public delegate void IdentityGeneratorProgressDelegate();

	/// <summary>
	/// Delegate for an event raised when an identity generation has ended.
	/// </summary>
	/// <param name="identity">The generated identity.</param>
	public delegate void IdentityGeneratorEndedDelegate( PrivateIdentity identity );
}
