////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.ImBackend
{
	/// <summary>
	/// List of log records (<see cref="Kernel.LogRecord"/>).
	/// </summary>
	public class LogRecords : Kernel.LogRecords
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		public LogRecords()
		{
		}

		#endregion Constructors

		#region Private fields

		/// <summary>
		/// The maximum items that the list may have. If this is 0 or a negative number, it's ignored.
		/// </summary>
		protected override int CountLimit
		{
			get { return ImBackendConsts.LogRecordsCountMax; }
		}

		#endregion Private fields

	}
}
