////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System;

namespace Vela.ImBackend
{
	/// <summary>
	/// Contract for a manager of command lines output meant to be displayed.
	/// </summary>
	public interface ICommandLinesOutputManager
	{
		#region Public methods

		/// <summary>
		/// Shows the existing command lines output.
		/// </summary>
		void ShowCommandLinesOutput();

		/// <summary>
		/// Appends the specified command line output to the existing ones, and shows it.
		/// </summary>
		/// <param name="creationTime">The creation time (in UTC format) of the command line.</param>
		/// <param name="commandLine">Command line to append. This may be null or empty.</param>
		/// <param name="commandLineOutput">Command line output to append. This may be null or empty.</param>
		void ShowCommandLinesOutput( DateTime creationTime, string commandLine, string commandLineOutput );

		#endregion Public methods
	}
}
