////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System.Windows;
using System.Windows.Data;

namespace Vela.Controls
{
	/// <summary>
	/// Binding which must be explicitly called in order for the bound source to be updated.
	/// </summary>
	public class ExplicitBinding : Binding
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected ExplicitBinding()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		/// <param name="path">Path for the bound element.</param>
		public ExplicitBinding( string path )
		{
			Path = new PropertyPath( path );
			Mode = BindingMode.TwoWay;
			UpdateSourceTrigger = UpdateSourceTrigger.Explicit;
			ValidatesOnExceptions = true;
		}

		#endregion Constructors
	}
}
