////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System.Reflection;
using Vela.ActionProcessor;

namespace Vela.ActionClient
{
	/// <summary>
	/// Method information which allows an action client to process a last frame action response.
	/// </summary>
	public class ProcessLastFrameResponseMethodInfo : HandleRequestMethodInfo
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected ProcessLastFrameResponseMethodInfo()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		/// <param name="requestTypeName">The type name of the action request to be handled by the "methodInfo" method.</param>
		/// <param name="methodInfo">The information of the method which must be executed when an action request with the type
		/// name "requestTypeName" has to be handled.</param>
		public ProcessLastFrameResponseMethodInfo( string requestTypeName, MethodInfo methodInfo )
			: base( requestTypeName, methodInfo )
		{
		}

		#endregion Constructors
	}
}
