////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System.Reflection;
using Vela.ActionProcessor;

namespace Vela.ActionClient
{
	/// <summary>
	/// Method information which allows an action client to update action requests before sending them to an action service.
	/// </summary>
	public class UpdateRequestMethodInfo : HandleRequestMethodInfo
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected UpdateRequestMethodInfo()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		/// <param name="requestTypeName">The type name of the action request to be handled by the "methodInfo" method.</param>
		/// <param name="methodInfo">The information of the method which must be executed when an action request with the type
		/// name "requestTypeName" has to be handled.</param>
		public UpdateRequestMethodInfo( string requestTypeName, MethodInfo methodInfo )
			: base( requestTypeName, methodInfo )
		{
		}

		#endregion Constructors
	}
}
