////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel;

namespace Vela.ActionClient
{
	/// <summary>
	/// Context for processing an action response.
	/// </summary>
	public class ActionResponseContext
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected ActionResponseContext()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		/// <param name="clientContext">The client context.</param>
		public ActionResponseContext( ActionClientContext clientContext )
		{
			ClientContext = clientContext;
		}

		#endregion Constructors

		#region Public non-serializable properties

		private ActionClientContext _ClientContext;
		/// <summary>
		/// The client context. READ-ONLY.
		/// </summary>
		public ActionClientContext ClientContext
		{
			get { return _ClientContext; }
			protected set
			{
				ValidationUtils.ObjectHasContent( value, "ClientContext" );

				_ClientContext = value;
			}
		}

		#endregion Public non-serializable properties
	}
}
