////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.CoreDocuments;
using Vela.Kernel;

namespace Vela.ActionProcessor
{
	/// <summary>
	/// An action response for a anonymous action request to resolve a UPN.
	/// </summary>
	public class ResolveUpnAnonymousActionResponse : AnonymousActionResponse
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected ResolveUpnAnonymousActionResponse()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		/// <param name="instanceLocator">Instance locator.</param>
		/// <param name="actionRequest">The action request to which the current action response is associated.</param>
		/// <param name="secondaryProcessingState">Secondary processing state. This may be null.</param>
		/// <param name="remoteProcessingIdentity">Remote processing identity publisher.</param>
		public ResolveUpnAnonymousActionResponse( Locator instanceLocator, AnonymousActionRequest actionRequest
				, SecondaryProcessingState secondaryProcessingState, IIdentityPublisher remoteProcessingIdentity )
			: base( instanceLocator, actionRequest, secondaryProcessingState, remoteProcessingIdentity )
		{
		}

		#endregion Constructors
	}
}
