////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel;

namespace Vela.ActionProcessor
{
	/// <summary>
	/// Service-side progress for processing a <see cref="DownloadFilesActionRequest"/> action request.
	/// </summary>
	public class DownloadFilesActionServiceProgress : ActionServiceProgress
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected DownloadFilesActionServiceProgress()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		/// <param name="instanceLocator">Instance locator.</param>
		/// <param name="initiatorUpnFingerprint">The UPN fingerprint of the initiator of the current object.</param>
		/// <param name="recipientUpnFingerprint">The UPN fingerprint of the recipient of the current object.</param>
		/// <param name="referredSheafLocator">The locator of the referred sheaf (which is referred by the referred
		/// action request).</param>
		/// <param name="referredActionRequestTypeName">The name of the type of the referred action request.</param>
		/// <param name="secondaryProcessingState">Secondary processing state. This may be null.</param>
		public DownloadFilesActionServiceProgress( Locator instanceLocator, Locator initiatorUpnFingerprint
				, Locator recipientUpnFingerprint, Locator referredSheafLocator, string referredActionRequestTypeName
				, SecondaryProcessingState secondaryProcessingState )
			: base( instanceLocator, initiatorUpnFingerprint, recipientUpnFingerprint, referredSheafLocator
				, referredActionRequestTypeName, secondaryProcessingState )
		{
		}

		#endregion Constructors
	}
}
