////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.CoreDocuments;
using Vela.Kernel;

namespace Vela.ActionProcessor
{
	/// <summary>
	/// Contract for a sheaf which contains an access granter locator.
	/// </summary>
	public interface IAccessGranterLocatorContainer : ISheaf
	{
		#region Public serializable properties

		/// <summary>
		/// The locator of the document which grants access to some resource. READ-ONLY.
		/// </summary>
		/// <remarks>
		/// <para>The current sheaf should be deleted when the document with this instance locator is deleted.</para>
		/// </remarks>
		Locator AccessGranterLocator { get; }

		#endregion Public serializable properties
	}
}
