////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.ActionProcessor
{
	/// <summary>
	/// Contract for an action answer which is followed by another action answer.
	/// </summary>
	/// <remarks>
	/// <para>An action response derived from this is normally sent as response to an action request which has a multiframe
	/// action response (see <see cref="IActionRequestWithMultiframeResponse"/> for details).</para>
	/// </remarks>
	public interface IMultiframeActionResponse
	{
	}
}
