////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.BinarySerialization
{
	/// <summary>
	/// Constants used for binary serialization.
	/// </summary>
	public static class BinarySerializationConsts
	{
		#region Public constants

		/// <summary>
		/// The name of the node where the serializer type name is stored.
		/// </summary>
		public const string SerializerTypeNameNodeName = "$SerializerTypeName";

		/// <summary>
		/// The name of the node where the serializer type name is stored.
		/// </summary>
		public const string TextEncodingNameNodeName = "$TextEncodingName";

		/// <summary>
		/// The serialization name of the root object.
		/// </summary>
		public const string RootSerializationName = "$";

		/// <summary>
		/// The end of node marker written by the serializer.
		/// </summary>
		public static readonly byte[] EndOfNodeMarker = new byte[] { 170, 85 };

		#endregion Public constants
	}
}
