////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.BuildInfo
{
	/// <summary>
	/// Contract for build information.
	/// </summary>
	public interface IBuildInfo
	{
		#region Public non-serializable properties

		/// <summary>
		/// Company. READ-ONLY.
		/// </summary>
		string Company { get; }

		/// <summary>
		/// Copyright. READ-ONLY.
		/// </summary>
		string Copyright { get; }

		/// <summary>
		/// Product display name. READ-ONLY.
		/// </summary>
		string ProductDisplayName { get; }

		/// <summary>
		/// Product full name. READ-ONLY.
		/// </summary>
		string ProductFullName { get; }

		/// <summary>
		/// Trademark. READ-ONLY.
		/// </summary>
		string Trademark { get; }

		/// <summary>
		/// Version. READ-ONLY.
		/// </summary>
		string Version { get; }

		/// <summary>
		/// Release date. READ-ONLY.
		/// </summary>
		string ReleaseDate { get; }

		/// <summary>
		/// Configuration. READ-ONLY.
		/// </summary>
		string Configuration { get; }

		/// <summary>
		/// Culture. READ-ONLY.
		/// </summary>
		string Culture { get; }

		#endregion Public non-serializable properties
	}
}
