////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel;

namespace Vela.CoreDocuments
{
	/// <summary>
	/// Contract for a compression algorithm.
	/// </summary>
	public abstract class CompressionAlg : IImmutableAlgorithm
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected CompressionAlg()
		{
		}

		#endregion Constructors

		#region Public methods

		/// <summary>
		/// Compresses the specified data.
		/// </summary>
		/// <param name="buffer">Buffer to compress.</param>
		/// <returns>Returns the compressed data.</returns>
		public abstract byte[] Compress( byte[] buffer );

		/// <summary>
		/// Decompresses the specified data.
		/// </summary>
		/// <param name="buffer">Buffer to decompress.</param>
		/// <returns>Returns the decompressed data.</returns>
		public abstract byte[] Decompress( byte[] buffer );

		#endregion Public methods
	}
}
