////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.CoreDocuments
{
	/// <summary>
	/// Contract for the data source of a UPN body.
	/// </summary>
	public interface IUpnBodySource
	{
		#region Public methods

		/// <summary>
		/// Gets the data from which the UPN body will be generated.
		/// </summary>
		/// <returns>Returns the data from which the UPN body will be generated.</returns>
		byte[] GetUpnBodySource();

		#endregion Public methods
	}
}
