////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel;

namespace Vela.CoreDocuments
{
	/// <summary>
	/// Contract for a container of a creator UPN fingerprint.
	/// </summary>
	/// <remarks>
	/// <para>Use this when a document can be used by both the local and the remote peer, so it's not possible to known which
	/// peer is represented by the <see cref="ICreatorUpnFingerprintContainer.CreatorUpnFingerprint"/> locator.</para>
	/// </remarks>
	public interface ICreatorUpnFingerprintContainer
	{
		#region Public serializable properties

		/// <summary>
		/// The UPN fingerprint of the creator peer of the current object. READ-ONLY.
		/// </summary>
		Locator CreatorUpnFingerprint { get; }

		#endregion Public serializable properties
	}
}
