////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel;

namespace Vela.CoreDocuments
{
	/// <summary>
	/// Contract for a container of an initiator UPN fingerprint.
	/// </summary>
	/// <remarks>
	/// <para>The current object is created by the initiator peer.</para>
	/// </remarks>
	public interface IInitiatorUpnFingerprintContainer
	{
		#region Public serializable properties

		/// <summary>
		/// The UPN fingerprint of the initiator peer. READ-ONLY.
		/// </summary>
		Locator InitiatorUpnFingerprint { get; }

		#endregion Public serializable properties
	}
}
