////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel;

namespace Vela.CoreDocuments
{
	/// <summary>
	/// Contract for a container of a recipient UPN fingerprint.
	/// </summary>
	/// <remarks>
	/// <para>The current object is received for processing by the recipient peer.</para>
	/// </remarks>
	public interface IRecipientUpnFingerprintContainer
	{
		#region Public serializable properties

		/// <summary>
		/// The UPN fingerprint of the recipient peer. READ-ONLY.
		/// </summary>
		Locator RecipientUpnFingerprint { get; }

		#endregion Public serializable properties
	}
}
