////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel;

namespace Vela.CoreDocuments
{
	/// <summary>
	/// Contract for a container of a remote UPN fingerprint.
	/// </summary>
	public interface IRemoteUpnFingerprintContainer
	{
		#region Public serializable properties

		/// <summary>
		/// The UPN fingerprint of the remote peer to which the current object belongs. READ-ONLY.
		/// </summary>
		Locator RemoteUpnFingerprint { get; }

		#endregion Public serializable properties
	}
}
