////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel;
using Vela.Crypto.Hash;
using Vela.Crypto.Asymmetric;
using Vela.Serialization;

namespace Vela.CoreDocuments
{
	/// <summary>
	/// A storehouse reservation for a UPN fingerprint.
	/// </summary>
	/// <remarks>
	/// <para>This is used to reserve a UPN fingerprint in a storehouse.</para>
	/// </remarks>
	public class ReservedUpnFingerprintSheaf : Sheaf
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected ReservedUpnFingerprintSheaf()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		/// <param name="upnFingerprint">The UPN fingerprint to reserve.</param>
		public ReservedUpnFingerprintSheaf( Locator upnFingerprint )
			: base( upnFingerprint )
		{
		}

		#endregion Constructors
	}
}
