////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System;
using Vela.Crypto.Hash;
using Vela.Kernel;

namespace Vela.Crypto.Asymmetric
{
	/// <summary>
	/// Contract for an asymmetric cryptography padding.
	/// </summary>
	public interface IAsymmPaddingAlg : IImmutableAlgorithm, IExpirableAlgorithm
	{
		#region Public serializable properties

		/// <summary>
		/// Text encoding. READ-ONLY.
		/// </summary>
		TextEncoding TextEncoding { get; }

		/// <summary>
		/// Hash algorithm. READ-ONLY.
		/// </summary>
		HashAlg HashAlg { get; }

		#endregion Public serializable properties
	}
}
