////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Crypto.Asymmetric;

namespace Vela.Crypto
{
	/// <summary>
	/// Delegate for an event raised when the verification of an asymmetric key's parameters fails.
	/// </summary>
	/// <param name="asymmAlg">The asymmetric algorithm where the failed key verification event is being raised.</param>
	/// <param name="buffer">Buffer which is used for testing.</param>
	/// <param name="encrypted">The encrypted data (processed with the public key).</param>
	/// <param name="decrypted">The decrypted data (processed with the private key).</param>
	public delegate void FailedAsymmKeyVerificationDelegate( AsymmAlg asymmAlg, byte[] buffer, byte[] encrypted
		, byte[] decrypted );
}
