////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Crypto
{
	/// <summary>
	/// The available symmetric cryptography paddings.
	/// </summary>
	public enum SymmPaddings
	{
		/// <summary>
		/// No padding is done. The input data must be aligned to the size of the algorithm.
		/// </summary>
		None,

		/// <summary>
		/// Random data is put before the number of padding bytes added.
		/// </summary>
		Iso10126
	}

	/// <summary>
	/// The available symmetric cryptography chainings.
	/// </summary>
	public enum SymmChainings
	{
		/// <summary>
		/// Chained Block Cipher.
		/// </summary>
		Cbc
	}
}
