////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System;
using Vela.Kernel;

namespace Vela.Crypto
{
	/// <summary>
	/// Exception which indicates an invalid signature.
	/// </summary>
	public class InvalidSignatureException : FatalCrossServiceException
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected InvalidSignatureException()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		/// <param name="message">The description of the exception. This may be null or empty.</param>
		/// <param name="exception">The existing exception when the current exception was created. This may be null.</param>
		public InvalidSignatureException( string message, Exception exception = null )
			: base( message, exception )
		{
		}

		#endregion Constructors
	}

	/// <summary>
	/// Exception which indicates a missing signature.
	/// </summary>
	public class MissingSignatureException : InvalidSignatureException
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		protected MissingSignatureException()
		{
		}

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		/// <param name="message">The description of the exception. This may be null or empty.</param>
		/// <param name="exception">The existing exception when the current exception was created. This may be null.</param>
		public MissingSignatureException( string message, Exception exception = null )
			: base( message, exception )
		{
		}

		#endregion Constructors
	}
}
