////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System;

namespace Vela.Kernel.Cloning
{
	/// <summary>
	/// May be applied on fields to indicate that their content may NOT be (deep) cloned.
	/// </summary>
	/// <remarks>
	/// <para>See <see cref="IUnclonable"/> for details.</para>
	/// </remarks>
	[AttributeUsage( AttributeTargets.Field, AllowMultiple = false )]
	public class UnclonableAttribute : Attribute
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		public UnclonableAttribute()
		{
		}

		#endregion Constructors
	}
}
