////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Kernel
{
	/// <summary>
	/// List of buffers.
	/// </summary>
	public class Buffers : KernelSortedList<byte[], byte[]>
	{
		#region Constructors

		/// <summary>
		/// Initializes a new instance of the current class.
		/// </summary>
		public Buffers()
			: base( BufferComparer.Instance )
		{
		}

		#endregion Constructors

		#region Public methods

		/// <summary>
		/// Gets the key from the specified item.
		/// </summary>
		/// <param name="item">Item to get the key from.</param>
		/// <returns>Returns the key from the specified item.</returns>
		/// <remarks>
		/// <para>The item itself is used as key.</para>
		/// </remarks>
		public override byte[] GetKey( byte[] item )
		{
			ValidationUtils.ArrayHasContent( item, "item" );

			return item;
		}

		#endregion Public methods
	}
}
