////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Kernel
{
	/// <summary>
	/// Pool of kernel algorithms.
	/// </summary>
	public interface IKernelAlgorithmPool
	{
		#region Public methods

		/// <summary>
		/// Gets the text encoding.
		/// </summary>
		/// <returns>Returns the text encoding.</returns>
		TextEncoding GetTextEncoding();

		/// <summary>
		/// Gets the communication frame algorithm.
		/// </summary>
		/// <returns>Returns the communication frame algorithm.</returns>
		ICommunicationFrameAlg GetCommunicationFrameAlg();

		#endregion Public methods
	}
}
