////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel.Serialization;

namespace Vela.Kernel
{
	/// <summary>
	/// Contract for a peer image.
	/// </summary>
	public interface IPeerImage : IDocument
	{
		#region Public non-serializable properties

		/// <summary>
		/// Image description. This may be null or empty. READ-ONLY.
		/// </summary>
		string Description { get; }

		/// <summary>
		/// Image data. READ-ONLY.
		/// </summary>
		byte[] ImageData { get; }

		#endregion Public non-serializable properties
	}
}
