////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Kernel
{
	/// <summary>
	/// Contract for a portable type.
	/// </summary>
	/// <remarks>
	/// <para>A portable type is not necessarily a document. This allows non-document types to be included in the global list of
	/// portable types in order to be found by name.</para>
	/// 
	/// <para>See <see cref="PortableTypes"/> for details.</para>
	/// </remarks>
	public interface IPortableType
	{
	}
}
