////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Kernel
{
	/// <summary>
	/// Contract for an unsignable class.
	/// </summary>
	/// <remarks>
	/// <para>This interface indicates that the implementing class can't maintain its internal order if it were to be serialized
	/// and then deserialized across environments, and it's therefore possible that its signature can't be verified across
	/// environments.</para>
	/// </remarks>
	public interface IUnsignable
	{
	}
}
