////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System;
using Vela.Kernel.Serialization;

namespace Vela.Kernel
{
	/// <summary>
	/// Contract for a list aware of the declared type of its items. All lists which implement this contract are collectively
	/// called item-type-aware lists.
	/// </summary>
	public interface IItemTypeAwareList : IDocument
	{
		#region Public non-serializable properties

		/// <summary>
		/// The declared type of the items from the list. READ-ONLY.
		/// </summary>
		Type ItemDeclaredType { get; }

		#endregion Public non-serializable properties
	}
}
