////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel.Serialization;

namespace Vela.Kernel
{
	/// <summary>
	/// Contract for a locatable document.
	/// </summary>
	public interface ILocatable : IDocument
	{
		#region Public non-serializable properties

		/// <summary>
		/// The instance locator of the current document. READ-ONLY.
		/// </summary>
		/// <remarks>
		/// <para>This is used as storehouse key in order to store the locatable document in a storehouse.</para>
		/// </remarks>
		Locator InstanceLocator { get; }

		#endregion Public non-serializable properties
	}
}
