////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Kernel
{
	/// <summary>
	/// <para><b>Documents</b></para>
	/// 
	/// <para>A document is a serializable class.</para>
	/// 
	/// <br/>
	/// 
	/// <para><b>Algorithms</b></para>
	/// 
	/// <para>An algorithm is a specialized type of document.</para>
	/// 
	/// <para>An algorithm receives an input (which can't be specified when the object is constructed) and (through some of its
	/// methods) generates an output (which is not stored in the algorithm object).</para>
	/// 
	/// <para>An algorithm is reusable to some degree, because the processed input may vary. This doesn't happen in the case of
	/// a document.</para>
	/// </summary>
	class NamespaceDoc
	{
		// Only for documentation.
	}
}
