////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Kernel.Serialization
{
	/// <summary>
	/// The available hash serialization modes.
	/// </summary>
	public enum HashSerializations
	{
		/// <summary>
		/// The property on which the <see cref="SerializeAttribute"/> attribute is applied is serialized with a hash serializer.
		/// </summary>
		Always,

		/// <summary>
		/// The property on which the <see cref="SerializeAttribute"/> attribute is applied is never serialized with a hash
		/// serializer.
		/// </summary>
		Never,

		/// <summary>
		/// The property on which the <see cref="SerializeAttribute"/> attribute is applied is serialized with a hash serializer
		/// only if it's not in the root object which is being hash serialized.
		/// </summary>
		NotInRoot
	}
}
