////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System;

namespace Vela.Kernel.Serialization
{
#if DEBUG && SERIALIZEEXPOSEDATTRIBUTE
	
	/// <summary>
	/// Same as <see cref="SerializeAttribute"/>, but this is to be used only for the data which has to be exposed during
	/// serialization so that it can be seen by people (for testing purposes).
	/// </summary>
	/// <remarks>Buffer which is serialized using this attribute is <b>not</b> deserialized because there is no reason to do so.
	/// </remarks>
	[AttributeUsage( AttributeTargets.Property, AllowMultiple = false )]
	public class SerializeExposedAttribute : SerializeAttribute
	{
	}
	
#endif
}
