////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System;

namespace Vela.Kernel
{
	/// <summary>
	/// Array utilities.
	/// </summary>
	public static class ArrayUtils
	{
		#region Public static methods

		/// <summary>
		/// Checks if the specified array has content.
		/// </summary>
		/// <param name="array">Array to be checked. This may be null or empty.</param>
		/// <returns>Returns true if the specified array has content.</returns>
		public static bool HasContent( Array array )
		{
			return (array != null) && (array.Length > 0);
		}

		/// <summary>
		/// Checks if the specified array is null or empty.
		/// </summary>
		/// <param name="array">Array to be checked. This may be null or empty.</param>
		/// <returns>Returns true if the specified array is null or empty.</returns>
		public static bool NoContent( Array array )
		{
			return (array == null) || (array.Length <= 0);
		}

		#endregion Public static methods
	}
}
