////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Networking
{
	/// <summary>
	/// Constants used for networking.
	/// </summary>
	public static class NetworkingConsts
	{
		#region Public constants

		/// <summary>
		/// The size (in bytes) of a blob used for calculating the communication timeout. This must be at least 1.
		/// </summary>
		public const int CommunicationTimeoutBlobSize = 250000;

		/// <summary>
		/// The time (in microseconds) to wait for a connection or to wait to receive data through the network.
		/// </summary>
		public const int SleepWaitingConnection = 1000000;

		#endregion Public constants
	}
}
