////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.PeerDocuments
{
	/// <summary>
	/// <para>A peer is an entity who may publish various services and may access the services published by other peers. A peer
	/// may register itself to a network in order to interact with other peers.</para>
	/// 
	/// <para>A peer's vault, presenter, tally, account are documents which contain critical information. Without them, a peer's
	/// information is invalid and can't be used in processing. The vault is critical for the service side, the rest are
	/// critical for the client side.</para>
	/// 
	/// <para>A peer's photo and ephemerid are documents which do NOT contain critical information. They may miss. Without them,
	/// a peer's information is valid and can be used in processing.</para>
	/// 
	/// <para>The following sheafs are uniquely associated to a creator (= either local or remote) peer: presenter, photo.</para>
	/// 
	/// <para>The following sheafs are uniquely associated to a local peer: vault.</para>
	/// 
	/// <para>The following sheafs are uniquely associated to a remote peer: tally, ephemerid.</para>
	/// 
	/// <para>The following sheafs are uniquely associated to a pair of a local and a remote peer: account.</para>
	/// 
	/// <para>The intimate information is made from the: virtual identity, physical address.</para>
	/// </summary>
	class NamespaceDoc
	{
		// Only for documentation.
	}
}
