////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Pnrp
{
	/// <summary>
	/// Constants used for PNRP.
	/// </summary>
	public static class PnrpConsts
	{
		#region Public constants

		/// <summary>
		/// The cloud in which UPNs are registered.
		/// </summary>
		/// <remarks>
		/// <para>Registering UPNs in the <see cref="System.Net.PeerToPeer.Cloud.Global"/> PNRP cloud would limit UPN resolution
		/// inside the local area network to the availability of the global PNRP cloud.</para>
		/// </remarks>
		public static readonly System.Net.PeerToPeer.Cloud Cloud = System.Net.PeerToPeer.Cloud.Available;

		#endregion Public constants
	}
}
