////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Kernel.Serialization;

namespace Vela.Serialization
{
	/// <summary>
	/// Contract for a textual serializer.
	/// </summary>
	public interface ITextualSerializer : ISerializer
	{
		#region Public methods

		/// <summary>
		/// Saves the specified class object to a text.
		/// </summary>
		/// <param name="serializableData">The object to serialized. This has to be a class.</param>
		/// <param name="rootName">The name of the root class object which is serialized. This name will be used during
		/// deserialization to recognize the serialized type. If this is null then the name of the specified type is used
		/// instead.</param>
		/// <returns>Returns the serialized document.</returns>
		string SaveToText( IDocument serializableData, string rootName );

		#endregion Public methods
	}
}
