////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.StarkDocuments
{
	/// <summary>
	/// The available emoticon commands.
	/// </summary>
	public enum EmoticonCommands
	{
		/// <summary>
		/// No command to execute.
		/// </summary>
		None,

		/// <summary>
		/// Bell audio notification. This is played when a letter (which contains it) is received, and a persistent desktop
		/// notification is also shown.
		/// </summary>
		Bell,

		/// <summary>
		/// The custom emoticons of the recipient should be updated.
		/// </summary>
		Emoticons,

		/// <summary>
		/// Horn audio notification. This should be longer than a bell. This is played when a letter (which contains it) is
		/// received, and a persistent desktop notification is also shown.
		/// </summary>
		Horn,

		/// <summary>
		/// Persistent desktop notification. This is shown when a letter (which contains it) is received.
		/// </summary>
		PersistentDesktopNotification,

		/// <summary>
		/// The wallpaper of the recipient should be changed.
		/// </summary>
		Wallpaper
	}
}
