////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.Storehouse
{
	/// <summary>
	/// The available existence modes of a sheaf.
	/// </summary>
	public enum SheafExistenceModes
	{
		/// <summary>
		/// A sheaf with the same instance locator and with the same content doesn't exist in the storehouse realm.
		/// </summary>
		DoesntExist,

		/// <summary>
		/// A sheaf with the same instance locator and with the same content exists in the storehouse realm.
		/// </summary>
		IsIdentical,

		/// <summary>
		/// A sheaf with the same instance locator exists in the storehouse realm, but has a different content.
		/// </summary>
		IsDifferent
	}
}
