////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.XmlSerialization
{
	/// <summary>
	/// Constants used for a textual hash serializer (<see cref="TextHashSerializer"/>).
	/// </summary>
	public static class TextHashSerializerConsts
	{
		#region Public constants

		/// <summary>
		/// The separator used between the name and the value type name of an item written through a hash serializer.
		/// </summary>
		public const string NameTypeSeparator = ":";

		/// <summary>
		/// The separator used between the metadata (= name or value type name) and the value of an item written through a hash
		/// serializer.
		/// </summary>
		public const string MetadataValueSeparator = "=";

		/// <summary>
		/// The separator used between two consecutive items written through a hash serializer.
		/// </summary>
		public const string ItemSeparator = "\n";

		#endregion Public constants
	}
}
