////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.XmlSerialization
{
	/// <summary>
	/// Constants used for XML serialization.
	/// </summary>
	public static class XmlSerializationConsts
	{
		#region Public constants

		/// <summary>
		/// The name of the document attribute where the serializer type name is stored.
		/// </summary>
		public const string SerializerTypeNameAttributeName = "SerializerTypeName";

		/// <summary>
		/// The name of the document attribute where the type name of the serialized property is stored.
		/// </summary>
		public const string ContentTypeNameAttributeName = "Type";

		#endregion Public constants
	}
}
