﻿using System.IO;
using Vela.Kernel;

namespace Vela.EmoticonPlaceholders
{
	class Program
	{
		private const string FullSizedGenericEmoticonFileName = @"Z:\Programming\WPF\Vela Agora\Vela\Dependencies\FullSizedGenericEmoticon.png";
		private const string ThumbSizedGenericEmoticonFileName = @"Z:\Programming\WPF\Vela Agora\Vela\Dependencies\ThumbSizedGenericEmoticon.png";

		private const string FullSizedEmoticonsFolderName = @"Z:\Programming\WPF\Vela Agora\Dependencies\Images\Emoticons\FullSized";
		private const string ThumbSizedEmoticonsFolderName = @"Z:\Programming\WPF\Vela Agora\Dependencies\Images\Emoticons\ThumbSized";

		private const string FullSizedEmoticonPlaceholdersFolderName = @"Z:\Programming\WPF\Vela Agora\Vela\Dependencies\Emoticon placeholders\Dependencies\Images\Emoticons\FullSized";
		private const string ThumbSizedEmoticonPlaceholdersFolderName = @"Z:\Programming\WPF\Vela Agora\Vela\Dependencies\Emoticon placeholders\Dependencies\Images\Emoticons\ThumbSized";

		static void Main( string[] args )
		{
			Copy( FullSizedGenericEmoticonFileName, FullSizedEmoticonsFolderName, FullSizedEmoticonPlaceholdersFolderName );
			Copy( ThumbSizedGenericEmoticonFileName, ThumbSizedEmoticonsFolderName, ThumbSizedEmoticonPlaceholdersFolderName );
		}

		private static void Copy( string genericEmoticonFileName, string emoticonsFolderName
			, string emoticonPlaceholdersFolderName )
		{
			FileUtils.DeleteFolder( emoticonPlaceholdersFolderName );

			Strings emoticonFileNames = new Strings();
			FileUtils.CollectFileNamesFromFolder( emoticonsFolderName, emoticonFileNames );

			foreach( string emoticonFileName in emoticonFileNames )
			{
				string emoticonFileNameSuffix = emoticonFileName.Substring( emoticonsFolderName.Length );
				string emoticonPlaceholdersFileName = FileUtils.MakeFullName( emoticonPlaceholdersFolderName
					, emoticonFileNameSuffix );

				Directory.CreateDirectory( Path.GetDirectoryName( emoticonPlaceholdersFileName ) );

				File.Copy( genericEmoticonFileName, emoticonPlaceholdersFileName, true );
			}
		}
	}
}
