////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.BuildInfo;

namespace Vela.PaymentServiceOps
{
	/// <summary>
	/// Application build information.
	/// </summary>
	public class AppBuildInfo : IBuildInfo
	{
		#region Public constants

		/// <summary>
		/// Company.
		/// </summary>
		public const string CompanyDef = "Vela Entity";

		/// <summary>
		/// Copyright.
		/// </summary>
		public const string CopyrightDef = "Vela Entity";

		/// <summary>
		/// Product display name.
		/// </summary>
		public const string ProductDisplayNameDef = "Vela.PaymentServiceOps";

		/// <summary>
		/// Product full name.
		/// </summary>
		public const string ProductFullNameDef = "Vela.PaymentServiceOps";

		/// <summary>
		/// Trademark.
		/// </summary>
		public const string TrademarkDef = "Vela";

		/// <summary>
		/// Version.
		/// </summary>
		public const string VersionDef = "0.0.0.1";

		/// <summary>
		/// Release date.
		/// </summary>
		public const string ReleaseDateDef = "21.10.2013";

		/// <summary>
		/// Configuration.
		/// </summary>
		public const string ConfigurationDef = "";

		/// <summary>
		/// Culture.
		/// </summary>
		public const string CultureDef = "";

		#endregion Public constants

		#region Public non-serializable properties

		/// <summary>
		/// Company. READ-ONLY.
		/// </summary>
		public string Company { get { return CompanyDef; } }

		/// <summary>
		/// Copyright. READ-ONLY.
		/// </summary>
		public string Copyright { get { return CopyrightDef; } }

		/// <summary>
		/// Product display name. READ-ONLY.
		/// </summary>
		public string ProductDisplayName { get { return ProductDisplayNameDef; } }

		/// <summary>
		/// Product full name. READ-ONLY.
		/// </summary>
		public string ProductFullName { get { return ProductFullNameDef; } }

		/// <summary>
		/// Trademark. READ-ONLY.
		/// </summary>
		public string Trademark { get { return TrademarkDef; } }

		/// <summary>
		/// Version. READ-ONLY.
		/// </summary>
		public string Version { get { return VersionDef; } }

		/// <summary>
		/// Release date. READ-ONLY.
		/// </summary>
		public string ReleaseDate { get { return ReleaseDateDef; } }

		/// <summary>
		/// Configuration. READ-ONLY.
		/// </summary>
		public string Configuration { get { return ConfigurationDef; } }

		/// <summary>
		/// Culture. READ-ONLY.
		/// </summary>
		public string Culture { get { return CultureDef; } }

		#endregion Public non-serializable properties
	}
}
