////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using System;

namespace Vela.TesterBackend
{
	/// <summary>
	/// Delegate which logs a message, as the progress of an action.
	/// </summary>
	/// <param name="message">Message to log.</param>
	/// <param name="isStart">Specifies whether this message is the starting message for an action (and thus is shown on a
	/// new line).</param>
	public delegate void MessagePresenterDelegate( string message, bool isStart );

	/// <summary>
	/// Delegate which shows an exception.
	/// </summary>
	/// <param name="exception">Exception to show.</param>
	public delegate void ErrorPresenterDelegate( Exception exception );
}
