////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

namespace Vela.TesterBackend
{
	/// <summary>
	/// Speed mode for tests.
	/// </summary>
	public enum SpeedModes
	{
		/// <summary>
		/// The speed is represented in seconds.
		/// </summary>
		Sec,

		/// <summary>
		/// The speed is represented in operations / second.
		/// </summary>
		Oper_Sec,

		/// <summary>
		/// The speed is represented in seconds / operation.
		/// </summary>
		Sec_Oper,

		/// <summary>
		/// The speed is represented in milliseconds / operation.
		/// </summary>
		Msec_Oper,

		/// <summary>
		/// The speed is represented in megabytes / second.
		/// </summary>
		MB_Sec
	};
}
