////////////////////////////////////////////////////////////////////////////////
//
// Developed by the Vela Entity (vela.im).
// Released under a "Common Sense License".
//
// Original author: Gardener of Thoughts (gardenerofthoughts.org).
//
////////////////////////////////////////////////////////////////////////////////

using Vela.Crypto;
using Vela.Kernel;

namespace Vela.TesterBackend
{
	/// <summary>
	/// Test.
	/// </summary>
	public class EntropyEnduranceTest : AppTest
	{
		#region Public non-serializable properties

		/// <summary>
		/// The name of the test.
		/// </summary>
		public override string Name
		{
			get { return "Entropy endurance *"; }
		}

		/// <summary>
		/// This is true, meaning that the test is long.
		/// </summary>
		public override bool IsLong
		{
			get { return true; }
		}

		/// <summary>
		/// The prefix for the sort order in which to run the test.
		/// </summary>
		public override string SortPrefix
		{
			get { return "9000 0001 00"; }
		}

		#endregion Public non-serializable properties

		#region Private methods

		/// <summary>
		/// Executes the test.
		/// </summary>
		protected override void Execute()
		{
			Locators locators = new Locators();

			for( int i = 0; i < AppTestContext.EntropyEnduranceCount; i++ )
			{
				Context.LongOperationProgress.PersistentMessage = string.Format( "Locators {0} / {1}", i
					, AppTestContext.EntropyEnduranceCount );
				Context.LongOperationProgress.Progress();

				locators.Add( CryptoUtils.GetLocator() );
			}

			Context.LogSpeed( SpeedModes.Oper_Sec, AppTestContext.EntropyEnduranceCount );
		}

		#endregion Private methods
	}
}
